<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script>
 //<!--
        $(document).ready(function() {
            var data = $("#reqHouseForm").serialize();
            console.log("data::", data );
            const parsedObject = data
                                    .split('&')
                                    .reduce((p, c) => {
                                      const [key, value] = c.split('=');
                                      return { ...p, [key]: value };
                                    }, {})
            var data2 = 'JSONData=' + encodeURIComponent(encodeURIComponent(
                JSON.stringify(parsedObject)
            ));

            console.log("data2::::", data2);
            $.ajax({
                type: "POST",
                datatype: "xml",
                url: "http://dev.coocon.co.kr/sol/gateway/rt_price_wapi.jsp",
                data: data2,
                success: function(result) {
                    console.log("result", result);

                },
                error: function(e) {
                    console.log("e", e);
                }
            });
        });

        //-->
  </script>
</head>
<body>
<form id="reqHouseForm">
  <input type="hidden" name="SEARCH_GUBUN" value = "{{SEARCH_GUBUN}}">
  <input type="hidden" name="TRADE_TYPE" value = "0">
  <input type="hidden" name="API_KEY" value = "{{API_KEY}}">
  <input type="hidden" name="API_ID" value = "{{API_ID}}">
  <input type="hidden" name="SIDO_NAME" value = "{{SIDO_NAME}}">
  <input type="hidden" name="GUGN_NAME" value = "{{GUGN_NAME}}">
  <input type="hidden" name="DONG_NAME" value = "{{DONG_NAME}}">
  <input type="hidden" name="DONG_CODE" value = "{{DONG_CODE}}">
  <input type="hidden" name="SEARCH_YEAR" value = "2020">
  <input type="hidden" name="SEARCH_SEASON" value = "{{SEARCH_SEASON}}">
  <input type="hidden" name="DANJI_NAME" value = "{{DANJI_NAME}}">
  <input type="hidden" name="BUN_JI" value = "{{BUN_JI}}">
  <input type="hidden" name="BON_NO" value = "{{BON_NO}}">
  <input type="hidden" name="BU_NO" value = "{{BU_NO}}">
  <input type="hidden" name="ROAD_NM" value = "{{ROAD_NM}}">
  <input type="hidden" name="SPAGE" value = "1">
  <input type="hidden" name="EPAGE" value = "100">
</form>
</body>
</html>